TlsDirectTrustStore (Mule ESB 2.2.1 API)
Keywords: org.mule.api.security.TlsDirectTrustStore interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.security
Interface TlsDirectTrustStore

All Superinterfaces:
  TlsIndirectTrustStore

All Known Implementing Classes:
  HttpsConnector, HttpsPollingConnector, JettyHttpsConnector, SslConnector, TlsConfiguration, TlsConnector

    public interface TlsDirectTrustStore

extends TlsIndirectTrustStore

Configure direct trust stores. TLS/SSL connections are made to trusted systems - the public certificates of trusted systems are stored in a keystore (called a trust store) and used to verify that the connection made to a remote system "really is" the expected identity.

The information specified in this interface may be used to configure a trust store directly, or the values in the `TlsIndirectTrustStore` may be stored as property values and used later, or both. It may therefore be specific to a single connector, or global to all connectors made by that protocol, or even (in the case of the SSL transport) become a global default value. For more information see the documentation for the connector or protocol in question. The comments in `TlsConfiguration` may also be useful.

Method Summary
`String` | `getTrustManagerAlgorithm()`
`TrustManagerFactory` | `getTrustManagerFactory()`
`String` | `getTrustStoreType()`
`boolean` | `isExplicitTrustStoreOnly()` If the trust store is undefined and the trust store generated via System properties then the key store certificates defined via `TODO` can be used as a source of trust information.
`boolean` | `isRequireClientAuthentication()` If a server socket is constructed directly (see `TlsConfiguration`) then this flag will control whether client authenticatin is required.
`void` | `setExplicitTrustStoreOnly(boolean explicitTrustStoreOnly)` If the trust store is undefined and the trust store generated via System properties then the key store certificates defined via `TODO` can be used as a source of trust information.
`void` | `setRequireClientAuthentication(boolean requireClientAuthentication)` If a server socket is constructed directly (see `TlsConfiguration`) then this flag will control whether client authenticatin is required.
`void` | `setTrustManagerAlgorithm(String trustManagerAlgorithm)`
`void` | `setTrustManagerFactory(TrustManagerFactory trustManagerFactory)`
`void` | `setTrustStoreType(String trustStoreType)`

Methods inherited from interface org.mule.api.security.TlsIndirectTrustStore
`getTrustStore, getTrustStorePassword, setTrustStore, setTrustStorePassword`

Method Detail

### getTrustStoreType

    String getTrustStoreType()

  Returns:
    The type of keystore used to implement the trust store defined in `TlsIndirectTrustStore.getTrustStore()`

### setTrustStoreType

    void setTrustStoreType(String trustStoreType)

  Parameters:
    `trustStoreType` - The type of keystore used to implement the trust store defined in `TlsIndirectTrustStore.setTrustStore(String)`

### getTrustManagerAlgorithm

    String getTrustManagerAlgorithm()

  Returns:
    The algorithm used by the trust store. The default comes from {

### setTrustManagerAlgorithm

    void setTrustManagerAlgorithm(String trustManagerAlgorithm)

  Parameters:
    `trustManagerAlgorithm` - The algorithm used by the trust store. The default comes from {

### getTrustManagerFactory

    TrustManagerFactory getTrustManagerFactory()

  Returns:
    Either the factory defined by `setTrustManagerFactory(TrustManagerFactory)` or one constructed from the parameters in this interface (`TlsIndirectTrustStore.setTrustStore(String)` etc).

### setTrustManagerFactory

    void setTrustManagerFactory(TrustManagerFactory trustManagerFactory)

  Parameters:
    `trustManagerFactory` - The source of trust information if the store is accessed directly (some connectors generate trust stores indirectly through System properties in which case this value will be ignored - see `TlsConfiguration`).

### isExplicitTrustStoreOnly

    boolean isExplicitTrustStoreOnly()

  If the trust store is undefined and the trust store generated via System properties then the key store certificates defined via `TODO` can be used as a source of trust information.

  Returns:
    true if the key store data should not be used when a trust store is otherwise undefined

### setExplicitTrustStoreOnly

    void setExplicitTrustStoreOnly(boolean explicitTrustStoreOnly)

  If the trust store is undefined and the trust store generated via System properties then the key store certificates defined via `TODO` can be used as a source of trust information.

  Parameters:
    `explicitTrustStoreOnly` - true if the key store data should not be used when a trust store is otherwise undefined

### isRequireClientAuthentication

    boolean isRequireClientAuthentication()

  If a server socket is constructed directly (see `TlsConfiguration`) then this flag will control whether client authenticatin is required. This does not apply to client connections.

  Returns:
    true if clients must be authenticated

### setRequireClientAuthentication

    void setRequireClientAuthentication(boolean requireClientAuthentication)

  If a server socket is constructed directly (see `TlsConfiguration`) then this flag will control whether client authenticatin is required. This does not apply to client connections.

  Parameters:
    `requireClientAuthentication` - true if clients must be authenticated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.